Loading...
Searching...
No Matches
ApplyFunc< Fn, Args > Class Template Reference

`#include <nanovdb/examples/ex_util/ComputePrimitives.h>`

## Public Member Functions

| ApplyFunc (int count, int blockSize, const Fn &fn, Args... args)
template<std::size_t... Is>
void | call (int start, int end, cxx14::index_sequence< Is... >) const
void | operator() (int i) const

## Constructor & Destructor Documentation

## ApplyFunc()

template<typename Fn, typename... Args>

ApplyFunc | ( | int | count,
|  | int | blockSize,
|  | const Fn & | fn,
|  | Args... | args )

inline

## Member Function Documentation

## call()

template<typename Fn, typename... Args>
template<std::size_t... Is>

void call | ( | int | start,
|  | int | end,
|  | cxx14::index_sequence< Is... > | ) const

inline

## operator()()

template<typename Fn, typename... Args>

void operator() | ( | int | i | ) | const

inline